classification
Title: mailbox.__all__ list is incomplete
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Unit03, martin.panter, python-dev, r.david.murray, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2016-05-24 20:30 by Unit03, last changed 2016-06-06 03:05 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
mailbox_all.patch Unit03, 2016-05-24 20:30 review
Messages (9)
msg266267 - (view) Author: Jacek Kołodziej (Unit03) * Date: 2016-05-24 20:30
That's a child issue of #23883, created to propose a patch fixing mailbox module's __all__ list.
msg266273 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-05-24 20:50
Rather than adding the new class to the list of tests, we could take this opportunity to convert this test file to the new format, unless there's some reason that doesn't work (I don't expect there to be).
msg266279 - (view) Author: Jacek Kołodziej (Unit03) * Date: 2016-05-24 21:19
David, what do you mean by "new format"? Can you point me to some existing code?
msg266280 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-05-24 21:32
Look at your mimetypes patch, for example.   That if __name__='__main__' clause is all that is needed.  The test_main stuff can be dropped.

The question, I suppose, is the reap_children call, and that may be why it hasn't been converted yet.
msg266297 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-05-25 03:58
Yes, the reap_children call is the culprit. I think resolving this problem is out of the scope of this simple issue (there is separate issue for this).
msg266325 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-05-25 09:17
This patch looks good to me. I agree the reap_children() thing is a separate problem.
msg267505 - (view) Author: Roundup Robot (python-dev) Date: 2016-06-06 02:30
New changeset 4705b7597c86 by Martin Panter in branch 'default':
Issue #27107: Add exception classes to mailbox.__all__, by Jacek Kołodziej
https://hg.python.org/cpython/rev/4705b7597c86
msg267512 - (view) Author: Roundup Robot (python-dev) Date: 2016-06-06 02:53
New changeset d62e57958e7c by Martin Panter in branch 'default':
Issue #27107: mailbox.fcntl = None on Windows
https://hg.python.org/cpython/rev/d62e57958e7c
msg267515 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-06-06 03:05
FTR the closest thing I could find discussing reap_children() is Issue 16968.
History
Date User Action Args
2016-06-06 03:05:35martin.pantersetstatus: open -> closed
resolution: fixed
messages: + msg267515

stage: patch review -> resolved
2016-06-06 02:53:43python-devsetmessages: + msg267512
2016-06-06 02:30:51python-devsetnosy: + python-dev
messages: + msg267505
2016-05-25 13:16:53martin.panterlinkissue23883 dependencies
2016-05-25 09:17:12martin.pantersetnosy: + martin.panter

messages: + msg266325
stage: patch review
2016-05-25 03:58:45serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg266297
2016-05-24 21:32:47r.david.murraysetmessages: + msg266280
2016-05-24 21:19:58Unit03setmessages: + msg266279
2016-05-24 20:50:37r.david.murraysetnosy: + r.david.murray
messages: + msg266273
2016-05-24 20:30:14Unit03create